@charset "UTF-8";

:root {
  --col: #ffffff;
  --col_Background: #ffffff;
  --keyCol: var(--col_MypreBlue);
  --keyBgCol: color-mix(in srgb, var(--keyCol) 10%, #ffffff);
}

.so-content {
  margin: 0 auto;
  position: relative;
  font-size: 1.4rem;

  .js-csv-logo {
    position: fixed;
    margin: 0;
    background-color: var(--col);
    height: 80px;
    width: 100cqw;
    top: 0;
    left: 0;
    z-index: 100;
    animation: fadeIn 0.6s;

    h1 {
      display: flex;
      align-items: center;
      justify-content: space-between;
      margin: 0 auto;
      width: 1000px;
      height: 100%;
      padding: 0 0;
      font-size: 2rem;
      font-weight: bold;

      img {
        height: 100%;
        width: auto;
        object-fit: contain;
      }

      span {
        display: flex;
        align-items: center;
        letter-spacing: 0.1em;
        min-height: 48px;
        height: 48px;
        min-width: 200px;
        max-width: 400px;
        font-size: 2.8rem;
        font-family: var(--ff-serif);
        color: #666666;
        background: #dfdfdf;

        &.loaded {
          background: transparent;
          animation: fadeIn 1.5s;
        }
      }
    }
  }

  .js-csv-desc {
    position: fixed;
    margin-left: 220px;
    top: 0;
    height: 48px;
    z-index: 100;

    p {
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 0 auto;
      height: 100%;
      padding: 0;
      align-items: center;
      justify-content: center;
      line-height: 1;
      font-size: 1.4rem;
      color: #ffffff;
    }
  }

  .js-csv-img {
    margin: 0 auto;
    width: var(--wrapperW);
    padding: 0;
    background: var(--col_paleGray, #f5f5f6);

    img {
      width: 100%;
      object-fit: cover;
      aspect-ratio: 5 / 2;
      animation: fadeIn 1.5s;
    }
  }

  .top-page-lead {
    display: flex;
    align-items: center;

    p {
      margin: 32px auto 0;
      border: 1px solid #8f8f8f;
      border-width: 0 1px;
      padding: 0 16px;
      width: 460px;
      word-break: break-all;
      overflow-wrap: anywhere;
      text-align: center;
      line-height: 2;
      font-size: 1.6rem;
      color: var(--cl-br, #433d37);
    }
  }

  .top-sect {
    width: var(--wrapperW);
    margin: 0 auto;
    padding: 80px 0 0;
    font-family: var(--ff-serif);

    &:not(:has(h2)) { padding: 0; }

    &#a01 {
      background: color-mix(in srgb, var(--col) 15%, transparent);
    }
    &#a03 {
      background: #f6f9e9;
    }

    h2 {
      display: flex;
      flex-wrap: wrap;
      align-items: center;
      justify-content: center;
      position: relative;
      margin: 0 auto 64px;
      padding: 0;

      span {
        font-size: 2.4rem;
      }

      & + p {
        margin-top: 28px;
        text-align: center;
        line-height: 2;
        font-weight: 700;
        font-size: 1.8rem;
      }
    }

    .top-serie {
      & + & {
        margin-top: 64px;
      }

      .top-serie--body {
        display: flex;
        justify-content: space-between;
        align-items: flex-end;
        padding: 20px;
      }
    }
  }

  .top-sect:has(.store-topics) {
    margin: 56px 0 0;
    padding-top: 0;
    width: 100cqw;

    .store-topics {
      h2 {
        text-align: center;
        font-size: 2.8rem;
        padding-top: 48px;

        &::before, &::after { display: none; }

        span {
          display: inline;
          font-size: 100%;
        }

        br { display: none; }
      }

      ul {
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: center;
        gap: 20px 28px;
        margin: 48px auto 0;
        padding-bottom: 80px;
        width: 1000px;

        li {
          width: calc((100% - 28px) /2);
          border-radius: 6px;
          overflow: hidden;

          a {
            height: unset;
            font-size: 1.6rem;
            padding: 16px;
            width: 100%;
            &:has(img) {
              display: block;
              height: unset;
              padding: 0;
              font-size: 1.4rem;

              &::after {
                display: none;
              }
            }
          }
        }
      }
    }
  }
}

:is(ul, dl).top-item--list {
  display: flex;
  margin: 64px 0 0;
  gap: 36px;

  li {
    width: 290px;
    position: relative;
    font-family: var(--ff-sans_serif);

    h4 {
      display: flex;
      gap: 4px; 
      justify-content: center;
      margin: -24px 0 4px;
      padding: 0 0 0 0.1em;
      text-align: center;
      letter-spacing: 0.1em;
      font-family: revert;
      font-feature-settings: "palt";
      font-weight: 600;
      
      &::before {
        content: "/";
        transform: scaleX( -1 );
      }
      &::after {
        content: "/";
      }
    }

    a {
      display: block;
      text-decoration: none;

      figure {
        background: #ffffff linear-gradient(var(--col_paleGray, #f5f5f6) 0, var(--col_paleGray, #f5f5f6) 100%);
        padding: 5px;

        img {
          background: #ffffff;
        }
      }

      .top-item--name {
        margin-top: 8px;
      }

      .top-item--price {
        font-weight: 600;
      }
    }
  }
}

.top-item--btn {
  margin: 0;
  height: 400px;
  width: 390px;
  align-self: center;
  display: block grid;
  place-items: center;

  a {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    border-radius: 8px;
    height: 72px;
    width: 360px;
    padding: 0;
    text-align: center;
    letter-spacing: 0.05em;
    line-height: 1.35;
    text-decoration: none;
    font-family: var(--ff-serif);
    font-size: 1.9rem;
    color: #ffffff;
    background: var(--keyCol);

    &:hover {
      color: #ffffff;
    }

    &::after {
      content: "";
      margin: 0;
      height: 24px;
      width: 21px;
      clip-path: polygon(0 0, 100% 50%, 0 100%);
      position: absolute;
      left: 20px;
      mask-image: none;
      background: none;
      background-color: #ffffff;
    }
  }
}

.top-tips--btn {
  display: block;
  margin: 80px auto 0;
  box-shadow: 0 0 6px rgb(0 0 0 /40%);
  border-radius: 12px;
  width: 672px;
  overflow: hidden;
  border: 7px solid var(--col_MypreBlue);

  a {
    display: block;
    cursor: pointer;
  }
}

/*---- モーダル ----*/
#kouden-tips {
  content: "";
  display: block;
  position: fixed;
  inset: 0;
  contain: content;
  background: rgb(0 0 0 /50%);
  z-index: 10000;
  opacity: 0;
  pointer-events: none;
  transition: 0.3s;

  &.open {
    opacity: 100%;
    pointer-events: unset;

    html:has(&) {
      height: 100vh;
      overscroll-behavior: none;
      overflow: clip;
    }

    body:has(&) {
      overscroll-behavior: none;
      overflow: hidden;
    }
  }

  .kouden-tips__container {
    display: block;
    font-family: var(--ff-sans_serif);
    position: absolute;
    height: auto;
    border-radius: 4px;
    overflow: hidden;
    max-height: 80vh;
    width: 80vw;
    max-width: 960px;
    inset: 0;
    margin: auto;
    overflow-y: auto;
    scrollbar-width: thin;
    background: #ffffff;
  }

  .kouden-tips__leadtext {
    text-align: center;
    padding: 20px;
  }

  .kouden-tips__sect {
    margin: 0;
    background: #f6f9e9;

    .kouden-tips__sect-title {
      margin: 0;
      display: block grid;
      place-items: center;
      padding: 0;
      font-family: unset;
      font-weight: 700;
      font-size: 1.8rem;
      color: #ffffff;
      height: 48px;
      background: var(--keyCol);
    }
    .kouden-tips__sect-content {
      border: 24px solid #f6f9e9;
      padding: 20px;
      text-align: center;
      background: #ffffff;

      .kouden-tips__sec-desc {
        display: block;
        margin: 0 0 20px 0;
      }

      table {
        margin: 20px 0 0 0;
        border-collapse: collapse;
        border: 3px solid var(--keyCol);
        width: 100%;
        font-size: 1.6rem;
        table-layout: fixed;

        tr {
          th,
          td {
            padding: 8px;
            text-align: center;
            vertical-align: middle;
          }
          th {
            line-height: 1.5;
            font-size: 1.4rem;
            font-weight: bold;
            color: #ffffff;
            background: var(--keyCol);
            border-left: 2px solid var(--keyCol);
            border-left-color: #ffffff;
          }
          td {
            border: 2px solid var(--keyCol);

            tr:nth-child(odd) & {
              background: color-mix(in srgb, #f6f9e9 40%, transparent);
            }
          }
        }
      }
    }
  }

  .kouden-tips__close {
    position: fixed;
    inset: 0;
    padding: 4px;
    justify-content: right;
    contain: content;
    z-index: -1;
    cursor: pointer;

    span {
      display:  block grid;
      place-items: center;
      position: absolute;
      border-radius: 16px;
      left: 50%;
      transform: translate(-50%);
      bottom: 3dvh;
      padding: 0 16px;
      height: 36px;
      font-weight: bold;
      font-size: 1.8rem;
      color: #ffffff;
      text-align: center;
      background-color: #999999;
    }
  }
}